/*Theme Dark Cyan Styles*/
$app-primary-dark-cyan: #00bcd4 !default;
$secondary-dark-cyan: #69F0AE;

$sidebar-dark-cyan: #252525 !default;
$sidebar-text-dark-cyan: #a1a1a1 !default;
$sidebar-darken-cyan: darken($sidebar-dark-cyan, 3%);

// Links
$link-hover-dark-cyan: $white;

//-Base-scss
.dark-cyan .right-arrow {
  color: $app-primary-dark-cyan;
  &:after {
    color: $app-primary-dark-cyan;
  }
}

//- Bootstrap file Style
.dark-cyan {
  & a,
  & a.text-primary {
    color: $app-primary-dark-cyan;
    &:focus,
    &:hover {
      color: darken($app-primary-dark-cyan, 10%);
    }
  }

  & .text-primary {
    color: $app-primary-dark-cyan !important;
  }

  & .page-link {
    color: $app-primary-dark-cyan;
    &:focus,
    &:hover {
      color: $app-primary-dark-cyan;
    }
  }

  & .bg-primary,
  & .badge-primary {
    background-color: $app-primary-dark-cyan !important;
    color: $link-hover-dark-cyan !important;
  }

  & .btn-primary {
    background-color: $app-primary-dark-cyan;
    border-color: $app-primary-dark-cyan;
    color: $link-hover-dark-cyan;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($app-primary-dark-cyan, 5%) !important;
      border-color: darken($app-primary-dark-cyan, 5%) !important;
      color: $link-hover-dark-cyan !important;
    }
  }

  & .bg-primary {
    &.lighten-4 {
      background-color: #b2ebf2 !important;
    }

    &.lighten-3 {
      background-color: #80deea !important;
    }

    &.lighten-2 {
      background-color: #4dd0e1 !important;
    }

    &.lighten-1 {
      background-color: #26c6da !important;
    }

    &.darken-1 {
      background-color: #00acc1 !important;
    }

    &.darken-2 {
      background-color: #0097a7 !important;
    }

    &.darken-3 {
      background-color: #00838f !important;
    }

    &.darken-4 {
      background-color: #006064 !important;
    }

    &.accent-1 {
      background-color: #84ffff !important;
    }

    &.accent-2 {
      background-color: #18ffff !important;
    }

    &.accent-3 {
      background-color: #00e5ff !important;
    }

    &.accent-4 {
      background-color: #00b8d4 !important;
    }
  }
}


//Secondary
.dark-cyan {
  & a.text-secondary {
    color: $secondary-dark-cyan;
    &:focus,
    &:hover {
      color: darken($secondary-dark-cyan, 10%) !important;
    }
  }

  & .text-secondary {
    color: $secondary-dark-cyan !important;
  }

  & .bg-secondary,
  & .badge-secondary {
    background-color: $secondary-dark-cyan !important;
    color: $link-hover-dark-cyan !important;
  }

  & .btn-secondary {
    background-color: $secondary-dark-cyan;
    border-color: $secondary-dark-cyan;
    color: $link-hover-dark-cyan;

    &:hover,
    &:focus,
    &:active {
      background-color: darken($secondary-dark-cyan, 5%) !important;
      border-color: darken($secondary-dark-cyan, 5%) !important;
      color: $link-hover-dark-cyan !important;
    }
  }
}

//_header.scss
.dark-cyan .app-main-header {
  background-color: $app-primary-dark-cyan !important;

  & .search-bar input {
    background-color: lighten($app-primary-dark-cyan, 5%);

    &:focus {
      background-color: $white;
    }
  }

  & .search-dropdown input {
    @media screen and (max-width: 575px) {
      background-color: $white;
    }
  }
}

//_right-sidebar.scss
.dark-cyan .color-theme-header {
  background-color: $app-primary-dark-cyan;

}

//_sidebar.scss
.dark-cyan .side-nav {
  background-color: $sidebar-dark-cyan !important;
  color: $sidebar-text-dark-cyan !important;
  @include box-shadow(none);

  & .user-profile {
    background-color: $sidebar-darken-cyan;
    @include box-shadow(none);
    position: relative;
    z-index: 2;
  }

  & .customizer {
    border-bottom: 0 none;
  }

  & .user-detail {
    & .user-name {
      color: $link-hover-dark-cyan;
    }
  }
}

.dark-cyan ul.nav-menu li a {
  color: $sidebar-text-dark-cyan;
}

.dark-cyan ul.nav-menu {
  & .nav-header {
    color: $sidebar-text-dark-cyan;
  }
}

.dark-cyan ul.nav-menu > li.open > a,
.dark-cyan ul.nav-menu > li > a:hover,
.dark-cyan ul.nav-menu > li > a:focus {
  background-color: $sidebar-darken-cyan;
  color: $link-hover-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu.open > a {
  border-color: $app-primary-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu > a:focus:before,
.dark-cyan ul.nav-menu li.menu > a:hover:before {
  color: $link-hover-dark-cyan;
}

.dark-cyan ul.nav-menu li ul {
  background-color: $sidebar-darken-cyan;
}

.dark-cyan ul.nav-menu li.menu > a:before {
  color: $sidebar-text-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu.open > a:before,
.dark-cyan ul.nav-menu li.menu > a:focus:before,
.dark-cyan ul.nav-menu li.menu li > a:hover:before {
  color: $link-hover-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu .sub-menu li > a:before {
  color: $sidebar-text-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu.open .sub-menu li > a.active {
  background-color: $sidebar-darken-cyan;
  color: $link-hover-dark-cyan;
}

.dark-cyan ul.nav-menu li.menu .sub-menu li > a:hover,
.dark-cyan ul.nav-menu li.menu .sub-menu li > a:focus,
.dark-cyan ul.nav-menu li.menu.open .sub-menu li > a.active:before,
.dark-cyan ul.nav-menu li.menu .sub-menu li > a:focus:before,
.dark-cyan ul.nav-menu li.menu .sub-menu li > a:hover:before {
  background-color: $sidebar-darken-cyan;
  color: $link-hover-dark-cyan;
}

//_app-module.scss
.dark-cyan .module-nav {
  & li a {
    &.active {
      border-color: $app-primary-dark-cyan;
    }
  }
}


//_calendar.scss
.dark-cyan .rbc-event {
  background-color: $app-primary-dark-cyan;
}

.dark-cyan .rbc-event.rbc-selected {
  background-color: darken($app-primary-dark-cyan, 10%);
}

.dark-cyan .rbc-slot-selection {
  background-color: rgba($app-primary-dark-cyan, 0.7);
}

.dark-cyan .rbc-toolbar button:active,
.dark-cyan .rbc-toolbar button.rbc-active {
  background-color: rgba($app-primary-dark-cyan, 0.9);
  border-color: $app-primary-dark-cyan;
}

.dark-cyan .rbc-toolbar button:active:hover,
.dark-cyan .rbc-toolbar button.rbc-active:hover,
.dark-cyan .rbc-toolbar button:active:focus,
.dark-cyan .rbc-toolbar button.rbc-active:focus {
  background-color: rgba($app-primary-dark-cyan, 0.9);
  border-color: $app-primary-dark-cyan;
}

.dark-cyan .rbc-toolbar button:focus {
  background-color: rgba($app-primary-dark-cyan, 0.9);
  border-color: $app-primary-dark-cyan;
}

.dark-cyan .rbc-toolbar button:hover {
  background-color: rgba($app-primary-dark-cyan, 0.9);
  border-color: $app-primary-dark-cyan;
}

//_chat.scss
.dark-cyan .chat-sidenav-title {
  color: $app-primary-dark-cyan;
}

.dark-cyan .chat-user-item {
  &.active,
  &:hover {
    background-color: lighten($app-primary-dark-cyan, 45%);
  }
}

//_dashboard.scss
.dark-cyan .contact-list {
  & i {
    color: $app-primary-dark-cyan;
  }
}

//The link which when clicked opens the collapsable ChatUserList
.dark-cyan .Collapsible__trigger {
  background: $app-primary-dark-cyan;
}

.dark-cyan .categories-list {
  & li a:focus,
  & li a:hover,
  & li.active a {
    color: $app-primary-dark-cyan;
  }
}

//_login.scss
.dark-cyan .login-content .form-control {
  &:focus {
    border-color: $app-primary-dark-cyan;
  }
}

//_portfolio.scss
.dark-cyan .filter-with-bg-color ul li {
  & a {
    border-color: $app-primary-dark-cyan;

    &:hover,
    &:focus,
    &.active {
      background-color: $app-primary-dark-cyan;
    }
  }
}

//_card.scss
.dark-cyan .profile-intro {
  & .icon {
    color: $app-primary-dark-cyan;
  }
}

.dark-cyan .social-link {
  & li.active a,
  & li a:hover,
  & li a:focus {
    color: $secondary-dark-cyan;
  }
}

//_tables.scss
.dark-cyan .actions {
  color: $secondary-dark-cyan;
}

.dark-cyan .table-hover tbody tr:hover {
  background-color: rgba($app-primary-dark-cyan, 0.075);
}

//Border Color

.dark-cyan .border-primary {
  border-color: $app-primary-dark-cyan !important;
}

// login page content

.dark-cyan .app-logo-content {
  background-color: $app-primary-dark-cyan;
}

.dark-cyan .app-social-block {
  & .social-link button {
    border: solid 1px $app-primary-dark-cyan;
    color: $app-primary-dark-cyan;

    &:hover,
    &:focus {
      color: $white;
      background-color: $app-primary-dark-cyan;
    }
  }
}